.mideplan-banner-wrapper {
  min-width: 0;
}

.mideplan-banner {
  padding: var(--spacing-xl) var(--spacing-md);
}

.mideplan-banner--ancho-completo {
  width: 100vw;
  margin-left: calc(50% - 50vw);
  margin-right: calc(50% - 50vw);
}

.mideplan-banner--claro {
  background-color: var(--color-tertiary-1);
}

.mideplan-banner--oscuro {
  background-color: var(--color-primary-2);
  color: var(--color-text-inverse);
}

.mideplan-banner--claro .mideplan-banner__titulo {
  color: var(--color-primary-2);
}

.mideplan-banner--claro .mideplan-banner__descripcion {
  color: var(--color-neutral-10);
}

.mideplan-banner--claro .mideplan-banner__nota {
  color: var(--color-neutral-9);
}

.mideplan-banner--oscuro .mideplan-banner__titulo,
.mideplan-banner--oscuro .mideplan-banner__descripcion,
.mideplan-banner--oscuro .mideplan-banner__nota {
  color: var(--color-text-inverse);
}

.mideplan-banner__contenedor {
  max-width: 708px;
}

.mideplan-banner__iconos {
  gap: var(--spacing-sm);
}

.mideplan-banner__icono {
  width: 40px;
  height: 40px;
  font-size: 35px;
}

.mideplan-banner--oscuro .mideplan-banner__icono {
  width: 72px;
  height: 72px;
  border-radius: 50%;
  background-color: var(--color-secondary-3);
  color: var(--color-primary-3);
}

.mideplan-banner--claro .mideplan-banner__icono {
  color: var(--color-neutral-10);
}


.mideplan-banner__titulo {
  font-family: var(--font-sans);
  font-size: 48px;
}

.mideplan-banner__descripcion {
  font-family: var(--font-sans);
  font-size: 18px;
}

.mideplan-banner__nota {
  font-size: 12px;
  font-family: var(--font-sans);
}

.mideplan-banner--oscuro .mideplan-banner__nota {
  opacity: 0.8;
}

@media (max-width: 768px) {
  .mideplan-banner__titulo {
    font-size: 32px;
  }

.mideplan-banner {
  padding-top: var(--spacing-xxl);
  padding-bottom: var(--spacing-xxl);
}
}
